<?php

/**
 * Block Styles
 *
 * @link https://developer.wordpress.org/reference/functions/register_block_style/
 *
 * @package storemate
 * @since 1.0.0
 */

if (function_exists('register_block_style')) {
    /**
     * Register block styles.
     *
     * @since 0.1
     *
     * @return void
     */
    function storemate_register_block_styles()
    {
        register_block_style(
            'core/columns',
            array(
                'name'  => 'storemate-boxshadow',
                'label' => __('Box Shadow', 'storemate')
            )
        );

        register_block_style(
            'core/column',
            array(
                'name'  => 'storemate-boxshadow',
                'label' => __('Box Shadow', 'storemate')
            )
        );
        register_block_style(
            'core/column',
            array(
                'name'  => 'storemate-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'storemate')
            )
        );
        register_block_style(
            'core/column',
            array(
                'name'  => 'storemate-boxshadow-large',
                'label' => __('Box Shadow Large', 'storemate')
            )
        );

        register_block_style(
            'core/group',
            array(
                'name'  => 'storemate-boxshadow',
                'label' => __('Box Shadow', 'storemate')
            )
        );
        register_block_style(
            'core/group',
            array(
                'name'  => 'storemate-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'storemate')
            )
        );
        register_block_style(
            'core/group',
            array(
                'name'  => 'storemate-boxshadow-large',
                'label' => __('Box Shadow Larger', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-boxshadow',
                'label' => __('Box Shadow', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-boxshadow-medium',
                'label' => __('Box Shadow Medium', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-boxshadow-larger',
                'label' => __('Box Shadow Large', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-image-pulse',
                'label' => __('Iamge Pulse Effect', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-image-hover-pulse',
                'label' => __('Hover Pulse Effect', 'storemate')
            )
        );
        register_block_style(
            'core/image',
            array(
                'name'  => 'storemate-image-hover-rotate',
                'label' => __('Hover Rotate Effect', 'storemate')
            )
        );
        register_block_style(
            'core/columns',
            array(
                'name'  => 'storemate-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'storemate')
            )
        );

        register_block_style(
            'core/column',
            array(
                'name'  => 'storemate-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'storemate')
            )
        );

        register_block_style(
            'core/group',
            array(
                'name'  => 'storemate-boxshadow-hover',
                'label' => __('Box Shadow on Hover', 'storemate')
            )
        );

        register_block_style(
            'core/post-terms',
            array(
                'name'  => 'categories-background-with-round',
                'label' => __('Background with round corner style', 'storemate')
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name'  => 'title-hover-primary-color',
                'label' => __('Hover: Primary color', 'storemate')
            )
        );
        register_block_style(
            'core/post-title',
            array(
                'name'  => 'title-hover-secondary-color',
                'label' => __('Hover: Secondary color', 'storemate')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-primary-color',
                'label' => __('Hover: Primary Color', 'storemate')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-secondary-color',
                'label' => __('Hover: Secondary Color', 'storemate')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-primary-bgcolor',
                'label' => __('Hover: Primary color fill', 'storemate')
            )
        );
        register_block_style(
            'core/button',
            array(
                'name'  => 'button-hover-secondary-bgcolor',
                'label' => __('Hover: Secondary color fill', 'storemate')
            )
        );

        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-primary-color',
                'label' => __('Hover: Primary Color', 'storemate')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-secondary-color',
                'label' => __('Hover: Secondary Color', 'storemate')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-primary-fill',
                'label' => __('Hover: Primary Fill', 'storemate')
            )
        );
        register_block_style(
            'core/read-more',
            array(
                'name'  => 'readmore-hover-secondary-fill',
                'label' => __('Hover: secondary Fill', 'storemate')
            )
        );

        register_block_style(
            'core/list',
            array(
                'name'  => 'list-style-no-bullet',
                'label' => __('List Style: Hide bullet', 'storemate')
            )
        );
        register_block_style(
            'core/list',
            array(
                'name'  => 'hide-bullet-list-link-hover-style-primary',
                'label' => __('Hover style with primary color and hide bullet', 'storemate')
            )
        );
        register_block_style(
            'core/list',
            array(
                'name'  => 'hide-bullet-list-link-hover-style-secondary',
                'label' => __('Hover style with secondary color and hide bullet', 'storemate')
            )
        );

        register_block_style(
            'core/gallery',
            array(
                'name'  => 'enable-grayscale-mode-on-image',
                'label' => __('Enable Grayscale Mode on Image', 'storemate')
            )
        );
        register_block_style(
            'core/social-links',
            array(
                'name'  => 'social-icon-border',
                'label' => __('Border Style', 'storemate')
            )
        );
        register_block_style(
            'core/page-list',
            array(
                'name'  => 'storemate-page-list-bullet-hide-style',
                'label' => __('Hide Bullet Style', 'storemate')
            )
        );
        register_block_style(
            'core/categories',
            array(
                'name'  => 'storemate-categories-bullet-hide-style',
                'label' => __('Hide Bullet Style', 'storemate')
            )
        );
        register_block_style(
            'core/cover',
            array(
                'name'  => 'storemate-cover-round-style',
                'label' => __('Round Corner Style', 'storemate')
            )
        );
    }
    add_action('init', 'storemate_register_block_styles');
}
